This is a comparison between the Android and Ubuntu Touch software stack. Please suggest changes when needed.

It is a draw.io file to view with this link:
https://app.diagrams.net/#Aubports%2Fdevelopment%2Fproject-management%2Fmaster%2Farchitecture-drawings%2Farch_UT_AOSP.drawio
